Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | List of all members
cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::TrivialIterator Struct Reference

Iterator that always returns true.

`#include <predicate_vector.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | TrivialIterator ()
| Constructor. More...
CUTLASS_HOST_DEVICE | TrivialIterator (Iterator const &it)
| Copy constructor. More...
CUTLASS_HOST_DEVICE | TrivialIterator (PredicateVector const &_vec)
| Constructs an iterator from a PredicateVector. More...
CUTLASS_HOST_DEVICE TrivialIterator & | operator++ ()
| Pre-increment. More...
CUTLASS_HOST_DEVICE TrivialIterator | operator++ (int)
| Post-increment. More...
CUTLASS_HOST_DEVICE bool | operator* () const
| Dereferences iterator. More...

## Constructor & Destructor Documentation

## ◆ TrivialIterator() [1/3]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::TrivialIterator::TrivialIterator | ( |  | ) |
| inline

## ◆ TrivialIterator() [2/3]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::TrivialIterator::TrivialIterator | ( | Iterator const & | it | ) |
| inline

## ◆ TrivialIterator() [3/3]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::TrivialIterator::TrivialIterator | ( | PredicateVector const & | _vec | ) |
| inline

## Member Function Documentation

## ◆ operator*()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::TrivialIterator::operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE TrivialIterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::TrivialIterator::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE TrivialIterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::TrivialIterator::operator++ | ( | int |  | ) |
| inline

The documentation for this struct was generated from the following file:

- predicate_vector.h